select ename
from   emp
where  regexp_like(ename,'[A-Z]{3}[G]')


select REGEXP_SUBSTR ('sys/pwd@orabase:1521:dbsid'
                     ,'[^:]+'                     
                     , 1                     
                     , 3
                     ) result
from   dual


-- retrieve all email address from a piece of text
with text as
( select 'Some piece of information about query at ccb.co.uk sent from info@amis.nl to 
          an unidentified destination (big.shot@oracle.com) as well as henk.dingemans@hotmail.com and others. ' line
  from   dual
)
,    tries as
( select level try
  from   text
  connect by level <= regexp_count( line, '\w+(\.\w+)?@\w+(\.\w+)+')
)  
select regexp_substr( line, '\w+(\.\w+)?@\w+(\.\w+)+',1,try)
from   text
       cross join
       tries


select REGEXP_REPLACE ('George McGovern McDonald'
                      ,'([[:lower:]])([[:upper:]])', '\1 \2'
                      ) name
  from dual;
       
select REGEXP_REPLACE ('Some  text   with too   many  spaces'
                      ,'\s{2,}'
                      , ' '                      
                      ) line
from   dual;

       
with text as
( select 'Some piece of information about query at ccb.co.uk sent from info@amis.nl to 
          an unidentified destination (big.shot@oracle.com) as well as henk.dingemans@hotmail.com and others. ' line
  from   dual
)
select regexp_replace( line, '([a-z A-Z]*)@([a-z A-Z]*)','\1AT\2')
from   text


       
              