-- Pi/4 = 1 - 1/3 + 1/5 - 1/7 + ..

with odd_numbers as
(  select 2*(level-1)+1 num
   ,      case mod(level,2) when 0 then -1 else 1 end plus_or_minus_one
   from   dual
   connect 
   by     level < 500000
)
select    4 * sum( plus_or_minus_one *  1/num)  pi
from      odd_numbers 
